Subject: Re: Parsing *.EXE.core files
From: [email-masked] (Mikey)

10 Jun 1998 03:22:28 -0700
Message-ID: <[email-masked]>
References: <199806081257.IAA28432.cygnus.gnu-win32@monty>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Try addr2line.exe something like

for file in *.core;do cat $file|cut -d ' ' -f 10|grep '0x' -|addr2line -f -e \
/bin/`basename $file .core`;cat $file|cut -d ' ' -f 10|grep '0x' -|addr2line \
 -fe /bin/cygwinb19.dll;done

or

addr2line -e /path/filename.exe -f `cat FILENAME.EXE.core|cut -d ' ' -f 10|grep '0x' -`
addr2line -e /bin/cygwinb19.dll -f `cat FILENAME.EXE.core|cut -d ' ' -f 10|grep '0x' -`

1 you need debug info in the exe.
2 you need debug info in the dll

calls into the system dlls or into the cygwinb19.dll 
when parsing the exe and vica/versa will show ??:0\n??

Obviously you could rewrite gdb to include this
functionality, but this might be a bit easier. ;^)

On 8 Jun 1998 22:52:52 GMT, you wrote:

>In article <199806081257.IAA28432.cygnus.gnu-win32@monty>,
>David Bush <[email-masked]> wrote:
>>I am looking at building a tool to parse the "core" file produced by
>>Cygwin on a crash with the idea of convertnig some of the addresses to
>>symbolic locations.  I have two questions:
>>1. Has anyone else looke into this?  I'd be happy to collaborate if work
>>   is under way.
>>2. Does anyone know how to get GDB to erturn a source line number ginve
>>   an address.  I've looked at disassemble, but that does not give
>>   line numbers.
>
>It's funny that I was just talking with a Cygnus gdb developer today.
>We were trying to figure out exactly how to do this but didn't come
>to a conclusion.  He did point me in the direction of the maintenance
>command, however.
>
>Also notice that the command "p/a some-number" will print the name
>of a symbol plus some offset.  It's still not the line number but
>it is slightly more useful.
>
>Finally, you might investigate the nm command.  It can dump all sorts
>of information about the symbol table.

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".